## python-sercol 0.0+git20250731

=== requirements.txt ===
simplejson>=3.0.0,<4.0.0
serializable>=0.4.0,<1.0.0
pandas>=2.0.0,<3.0.0

=== debian/changelog ===
python-sercol (0.0+git20250731-2) unstable; urgency=medium

  * Fix name of binary package.

 -- Steffen Moeller <moeller@debian.org>  Wed, 22 Oct 2025 12:17:21 +0100

python-sercol (0.0+git20250731-1) unstable; urgency=medium

  * Initial release. (Closes: #1110208)
  * d/gbp.conf: Default debian branch is main

 -- Steffen Moeller <moeller@debian.org>  Thu, 31 Jul 2025 22:53:41 +0100

=== debian/control ===
Source: python-sercol
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-pandas <!nocheck>,
 python3-serializable <!nocheck>,
 python3-simplejson <!nocheck>
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/openvax/sercol
Vcs-Browser: https://salsa.debian.org/med-team/python-sercol
Vcs-Git: https://salsa.debian.org/med-team/python-sercol.git

Package: python3-sercol
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-pandas,
 python3-serializable,
 python3-simplejson
Description: openvax immunoinformatics pipeline's helper classes
 Python code shared between multiple subprojects for the openvax
 vaccine design pipeline.
 .
 Rich collection class with grouping and filtering helpers.
 Used as a base class for
  varcode.EffectCollection,
  varcode.VariantCollection, and
  mhctools.EpitopeCollection.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=sercol

%:
	dh $@ --buildsystem=pybuild
